<?php
/*
 * Copyright (c) 2023. RTM Business
 */

namespace RTMCustomMails\EmailOptions;

use WC_Email;

abstract class AbstractEmailOption
{
    public function __construct(protected WC_Email $email)
    {
        add_filter('wrce_form_fields_' . $email->id, [$this, 'addOption'], 10, 1);
    }

    public abstract function addOption(array $formFields);

}
